org.apache.lucene.analysis.pt

## Class RSLPStemmerBase.RuleWithSetExceptions

- java.lang.Object
- - org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
  - - org.apache.lucene.analysis.pt.RSLPStemmerBase.RuleWithSetExceptions

Enclosing class:
  RSLPStemmerBase

    protected static class RSLPStemmerBase.RuleWithSetExceptions
    extends RSLPStemmerBase.Rule

A rule with a set of whole-word exceptions.

### Field Summary

Fields
`protected CharArraySet` `exceptions`

### Fields inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule

`min, replacement, suffix`

### Constructor Summary

Constructors
Constructor and Description
`RuleWithSetExceptions(String suffix, int min, String replacement, String[] exceptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matches(char[] s, int len)`

### Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule

`replace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### exceptions

    protected final CharArraySet exceptions

### Constructor Detail

#### RuleWithSetExceptions

    public RuleWithSetExceptions(String suffix,
                                 int min,
                                 String replacement,
                                 String[] exceptions)

### Method Detail

#### matches

    public boolean matches(char[] s,
                           int len)

Overrides:
  `matches` in class `RSLPStemmerBase.Rule`
Returns:
  true if the word matches this rule.